Re: [systemd-devel] [PATCH] core: if PR_SET_CHILD_SUBREAPER fails, log_error instead of warning

2015-06-12 Thread Lennart Poettering
On Sat, 23.05.15 13:04, Cristian Rodríguez (crrodrig...@opensuse.org) wrote:

 It was a warning when we still supported kernel  3.4. current
 minimum version is 3.7.

For the sake of the archives: this has been merged now as PR #76.

Lennart

-- 
Lennart Poettering, Red Hat
___
systemd-devel mailing list
systemd-devel@lists.freedesktop.org
http://lists.freedesktop.org/mailman/listinfo/systemd-devel


Re: [systemd-devel] [PATCH] core: if PR_SET_CHILD_SUBREAPER fails, log_error instead of warning

2015-05-26 Thread Lennart Poettering
On Sun, 24.05.15 22:41, Tom Gundersen (t...@jklm.no) wrote:

 On Sat, May 23, 2015 at 6:04 PM, Cristian Rodríguez
 crrodrig...@opensuse.org wrote:
  It was a warning when we still supported kernel  3.4. current
  minimum version is 3.7.
 
 Hm, we don't actually fail out here, but we still try to continue.
 Isn't 'warning' more appropriate in that case?

Yes.

The warning should stay a warning, but the EINVAL check with its info
message should indeed go.

 
 Cheers,
 Tom
 
   src/core/main.c | 4 +---
   1 file changed, 1 insertion(+), 3 deletions(-)
 
  diff --git a/src/core/main.c b/src/core/main.c
  index c39815b..3bebc98 100644
  --- a/src/core/main.c
  +++ b/src/core/main.c
  @@ -1608,9 +1608,7 @@ int main(int argc, char *argv[]) {
   if (arg_running_as == MANAGER_USER) {
   /* Become reaper of our children */
   if (prctl(PR_SET_CHILD_SUBREAPER, 1)  0) {
  -log_warning_errno(errno, Failed to make us a 
  subreaper: %m);
  -if (errno == EINVAL)
  -log_info(Perhaps the kernel version is 
  too old ( 3.4?));
  +log_error_errno(errno, Failed to make us a 
  subreaper: %m);
   }
   }
 
  --
  2.4.1
 
  ___
  systemd-devel mailing list
  systemd-devel@lists.freedesktop.org
  http://lists.freedesktop.org/mailman/listinfo/systemd-devel
 ___
 systemd-devel mailing list
 systemd-devel@lists.freedesktop.org
 http://lists.freedesktop.org/mailman/listinfo/systemd-devel


Lennart

-- 
Lennart Poettering, Red Hat
___
systemd-devel mailing list
systemd-devel@lists.freedesktop.org
http://lists.freedesktop.org/mailman/listinfo/systemd-devel


Re: [systemd-devel] [PATCH] core: if PR_SET_CHILD_SUBREAPER fails, log_error instead of warning

2015-05-24 Thread Tom Gundersen
On Sat, May 23, 2015 at 6:04 PM, Cristian Rodríguez
crrodrig...@opensuse.org wrote:
 It was a warning when we still supported kernel  3.4. current
 minimum version is 3.7.

Hm, we don't actually fail out here, but we still try to continue.
Isn't 'warning' more appropriate in that case?

Cheers,
Tom

  src/core/main.c | 4 +---
  1 file changed, 1 insertion(+), 3 deletions(-)

 diff --git a/src/core/main.c b/src/core/main.c
 index c39815b..3bebc98 100644
 --- a/src/core/main.c
 +++ b/src/core/main.c
 @@ -1608,9 +1608,7 @@ int main(int argc, char *argv[]) {
  if (arg_running_as == MANAGER_USER) {
  /* Become reaper of our children */
  if (prctl(PR_SET_CHILD_SUBREAPER, 1)  0) {
 -log_warning_errno(errno, Failed to make us a 
 subreaper: %m);
 -if (errno == EINVAL)
 -log_info(Perhaps the kernel version is too 
 old ( 3.4?));
 +log_error_errno(errno, Failed to make us a 
 subreaper: %m);
  }
  }

 --
 2.4.1

 ___
 systemd-devel mailing list
 systemd-devel@lists.freedesktop.org
 http://lists.freedesktop.org/mailman/listinfo/systemd-devel
___
systemd-devel mailing list
systemd-devel@lists.freedesktop.org
http://lists.freedesktop.org/mailman/listinfo/systemd-devel


Re: [systemd-devel] [PATCH] core: if PR_SET_CHILD_SUBREAPER fails, log_error instead of warning

2015-05-23 Thread systemd github import bot
Patchset imported to github.
Pull request:
https://github.com/systemd-devs/systemd/compare/master...systemd-mailing-devs:1432397052-3806-1-git-send-email-crrodriguez%40opensuse.org

--
Generated by https://github.com/haraldh/mail2git
___
systemd-devel mailing list
systemd-devel@lists.freedesktop.org
http://lists.freedesktop.org/mailman/listinfo/systemd-devel